import request from '@/utils/request'

// 查询生产工单执行用户列表
export function listPlanExecuteUser(query) {
  return request({
    url: '/mes/prod/planExecuteUser/list',
    method: 'get',
    params: query
  })
}

// 查询生产工单执行用户详细
export function getPlanExecuteUser(objId) {
  return request({
    url: '/mes/prod/planExecuteUser/' + objId,
    method: 'get'
  })
}

// 新增生产工单执行用户
export function addPlanExecuteUser(data) {
  return request({
    url: '/mes/prod/planExecuteUser',
    method: 'post',
    data: data
  })
}

// 修改生产工单执行用户
export function updatePlanExecuteUser(data) {
  return request({
    url: '/mes/prod/planExecuteUser',
    method: 'put',
    data: data
  })
}

// 删除生产工单执行用户
export function delPlanExecuteUser(objId) {
  return request({
    url: '/mes/prod/planExecuteUser/' + objId,
    method: 'delete'
  })
}
